/********************************************************************
*        ML6ADAP.H
*
*        Some procedures are exported as MODUALR-4/486 procedure.
*        So some identifiers must be modified!
*
*        Operating System:                Windows 95
*                                                                Windows NT
*
*        SORCUS Board:                        ML6 - Multi-COM
*
*  Author:                                        Dipl.-Ing. H.Doersam
*
*  Copyrights:                                SORCUS Computer GmbH 1998
*                                                                All Rights Reserved
********************************************************************/





#ifndef _INC_ML6ADAP

#define _INC_ML6ADAP


#define  ml6_error_info_type                 ml8_error_info_type
#define  ml6_bib_startup                     ml8_bib_startup
#define  ml6_select_card                     ml8_select_card
#define  ml6_get_selected_card               ml8_get_selected_card
#define  ml6_exit_card                       ml8_exit_card
#define  ml6_exit                            ml8_exit
#define  ml6_reacting                        ml8_reacting
#define  ml6_type_check                      ml8_type_check
#define  ml6_prog_in_rom                     ml8_prog_in_rom
#define  ml6_set_macro_interruptible         ml8_set_macro_interruptible
#define  ml6_cache_control                   ml8_cache_control
#define  ml6_install_task                    ml8_install_task
#define  ml6_get_task_info                   ml8_get_task_info
#define  ml6_get_task_status                 ml8_get_task_status
#define  ml6_get_task_number                 ml8_get_task_number
#define  ml6_get_int_task                    ml8_get_int_task
#define  ml6_wakeup_task                     ml8_wakeup_task
#define  ml6_sleep_task                      ml8_sleep_task
#define  ml6_get_pgm_installed               ml8_get_pgm_installed
#define  ml6_call_func                       ml8_call_func
//#define  ml6_call_function                   ml8_call_function
//#define  ml6_call_io_func                    ml8_call_io_func
#define  ml6_call_proc                       ml8_call_proc
#define  ml6_read_par_block                  ml8_read_par_block
#define  ml6_write_par_block                 ml8_write_par_block
#define  ml6_read_par_byte                   ml8_read_par_byte
#define  ml6_write_par_byte                  ml8_write_par_byte
#define  ml6_read_par_word                   ml8_read_par_word
#define  ml6_write_par_word                  ml8_write_par_word
#define  ml6_read_par_dword                  ml8_read_par_dword
#define  ml6_write_par_dword                 ml8_write_par_dword
#define  ml6_reset_r_pointer                 ml8_reset_r_pointer
#define  ml6_reset_w_pointer                 ml8_reset_w_pointer
#define  ml6_move_r_pointer                  ml8_move_r_pointer
#define  ml6_move_w_pointer                  ml8_move_w_pointer
#define  ml6_read_data_block                 ml8_read_data_block
#define  ml6_write_data_block                ml8_write_data_block
#define  ml6_read_data_byte                  ml8_read_data_byte
#define  ml6_write_data_byte                 ml8_write_data_byte
#define  ml6_read_data_word                  ml8_read_data_word
#define  ml6_write_data_word                 ml8_write_data_word
#define  ml6_read_data_dword                 ml8_read_data_dword
#define  ml6_write_data_dword                ml8_write_data_dword
#define        ml6_read_data                                                                ml8_read_data
#define        ml6_write_data                                                                ml8_write_data
#define  ml6_set_ram_pointer                 ml8_set_ram_pointer
#define  ml6_read_ram                        ml8_read_ram
#define  ml6_write_ram                       ml8_write_ram
#define  ml6_start_pgm                       ml8_start_pgm
#define  ml6_in8_port                        ml8_in8_port
#define  ml6_in16_port                       ml8_in16_port
#define  ml6_out8_port                       ml8_out8_port
#define  ml6_out16_port                      ml8_out16_port
#define  ml6_lock_async                      ml8_lock_async
#define  ml6_lock_sync                       ml8_lock_sync
#define  ml6_unlock                          ml8_unlock
#define  ml6_transfer_pgm                    ml8_transfer_pgm
#define  ml6_enable_remote_debug             ml8_enable_remote_debug
#define  ml6_allocate_ram                    ml8_allocate_ram
#define  ml6_get_free_ram_size               ml8_get_free_ram_size
#define  ml6_load_op                         ml8_load_op
#define  ml6_read_eeprom_direct              ml8_read_eeprom_direct
#define  ml6_read_eeprom_copy                ml8_read_eeprom_copy
#define  ml6_write_eeprom_direct             ml8_write_eeprom_direct
#define  ml6_write_eeprom_copy               ml8_write_eeprom_copy
#define  ml6_local_led_on                    ml8_local_led_on
#define  ml6_local_led_off                   ml8_local_led_off
#define  ml6_get_led_status                  ml8_get_local_led_status
#define  ml6_external_led_on                 ml8_external_led_on
#define  ml6_external_led_off                ml8_external_led_off
#define  ml6_set_error_handling              ml8_set_error_handling
#define  ml6_get_error_info                  ml8_get_error_info
#define  ml6_set_error_info                  ml8_set_error_info
#define  ml6_get_error_class_and_code        ml8_get_error_class_and_code
#define  ml6_get_error_msg                   ml8_get_error_msg
#define  ml6_set_error_message               ml8_set_error_message
#define  ml6_get_error_message               ml8_get_error_message
#define  ml6_set_mark_message                ml8_set_mark_message
#define  ml6_get_mark_message                ml8_get_mark_message
#define  ml6_set_mark                        ml8_set_mark
#define  ml6_get_mark                        ml8_get_mark
#define  ml6_set_max_error_retry             ml8_set_max_error_retry
#define  ml6_error_repeat_test               ml8_error_repeat_test
#define  ml6_set_repeat_macro                ml8_set_repeat_macro
#define  ml6_clear                           ml8_clear
#define  ml6_clear_error                     ml8_clear_error
#define  ml6_produce_error                   ml8_produce_error
#define  ml6_call_user_error                 ml8_call_user_error
#define  ml6_set_service                     ml8_set_service
#define  ml6_suspend_requests                ml8_suspend_requests
#define  ml6_allow_requests                  ml8_allow_requests
#define  ml6_get_message                     ml8_get_message
#define  ml6_message_available               ml8_message_available
#define  ml6_poll_request                    ml8_poll_request
#define  ml6_hard_reset                      ml8_hard_reset
#define  ml2_init_test                       ml8_init_test
#define  ml6_init_bib                        ml8_init_bib
#define  ml6_auto_timeout                    ml8_auto_timeout
#define  ml6_change_timeout                  ml8_change_timeout
#define  ml6_propose_timeout                 ml8_propose_timeout
#define  ml6_set_timeout                     ml8_set_timeout
#define  ml6_get_timeout                     ml8_get_timeout
#define  ml6_transfer_and_install            ml8_transfer_and_install
#define  ml6_get_bib_version                 ml8_get_bib_version
#define  ml6_get_os_version                  ml8_get_os_version
#define  ml6_get_drv_version                 ml8_get_drv_version
#define  ml6_send_macro                      ml8_send_macro
#define  ml6_macrohandler_wo_parallel        ml8_macrohandler_wo_parallel
#define  ml6_macrohandler_rw_parallel        ml8_macrohandler_rw_parallel
#define  ml6_macrohandler_rblock_parallel    ml8_macrohandler_rblock_parallel
#define  ml6_macrohandler_wblock_parallel    ml8_macrohandler_wblock_parallel
#define  ml6_macrohandler_wblockr_parallel   ml8_macrohandler_wblockr_parallel
#define  ml6_macrohandler_ddblock_parallel   ml8_macrohandler_ddblock_parallel
#define  ml6_reset_dlp                       ml8_reset_dlp
#define  ml6_set_dlp                         ml8_set_dlp
#define  ml6_make_err_msg                    ml8_make_err_msg
#define  ml6_load_mini_os                    ml8_load_mini_os
#define  ml6_x_get_os_version                ml8_x_get_os_version
#define  ml6_servicedummyret                 ml8_servicedummyret
#define  ml6_errordummyret                   ml8_errordummyret
#define  ml6_get_port_status                 ml8_get_port_status
#define  ml6_get_srq_handle                  ml8_get_srq_handle
#define        ml6_get_lib_version                                                ml8_get_lib_version
#define        ml6_get_mlxdrv_version                                        ml8_get_mlxdrv_version
#define        ml6_get_osx_version                                                ml8_get_osx_version
#define        ml6_create_version_string                                ml8_create_version_string
#define        ml6_create_date_string                                        ml8_create_date_string
#define        ml6_create_time_string                                        ml8_create_time_string
#define        ml6_create_micro_time_string                        ml8_create_micro_time_string
#define        ml6_read_memory                                                        ml8_read_memory
#define        ml6_write_memory                                                        ml8_write_memory
#define        ml6_get_physical_address                                ml8_get_physical_address
#define        ml6_watch_error                                                        ml8_watch_error
#define        ml6_get_rtc_status                                                ml8_get_rtc_status
#define        ml6_set_rtc_mode                                                        ml8_set_rtc_mode
#define        ml6_get_time                                                                ml8_get_time
#define        ml6_get_date_and_time                                        ml8_get_date_and_time
#define        ml6_get_date_and_time_2000                                ml8_get_date_and_time_2000
#define        ml6_set_date_and_time                                        ml8_set_date_and_time
#define        ml6_set_date_and_time_2000                                ml8_set_date_and_time_2000
#define        ml6_get_rtc_time_code                                        ml8_get_rtc_time_code
#define        ml6_get_rtc_date_code                                        ml8_get_rtc_date_code
#define        ml6_create_buffer                                                        ml8_create_buffer
#define        ml6_delete_buffer                                                        ml8_delete_buffer
#define        ml6_clear_buffer                                                        ml8_clear_buffer
#define        ml6_read_buffer_byte                                                ml8_read_buffer_byte
#define        ml6_read_buffer_word                                                ml8_read_buffer_word
#define        ml6_read_buffer_dword                                        ml8_read_buffer_dword
#define        ml6_get_buffer                                                                ml8_get_buffer
#define        ml6_write_buffer_byte                                        ml8_write_buffer_byte
#define        ml6_write_buffer_word                                        ml8_write_buffer_word
#define        ml6_write_buffer_dword                                        ml8_write_buffer_dword
#define        ml6_set_buffer                                                                ml8_set_buffer
#define        ml6_get_buffer_status                                        ml8_get_buffer_status
#define        ml6_get_prev_buffer_status                                ml8_get_prev_buffer_status
#define        ml6_init_io                                                                        ml8_init_io
#define        ml6_set_flash_mode                                                ml8_set_flash_mode
#define        ml6_get_flash_info                                                ml8_get_flash_info
#define        ml6_erase_flash_sector                                        ml8_erase_flash_sector
#define        ml6_program_flash                                                        ml8_program_flash
#define        ml6_read_flash                                                                ml8_read_flash

#define HMDD6 HMDD8
#define MDD6_CDT_HEAD MDD8_CDT_HEAD

#define mdd6_get_version mdd8_get_version
#define mdd6_open_channel mdd8_open_channel
#define mdd6_open_channel_callback  mdd8_open_channel_callback
#define mdd6_read_infotext mdd8_read_infotext
#define mdd6_get_device_status mdd8_get_device_status
#define mdd6_scan_channel mdd8_scan_channel
#define mdd6_reset_driver mdd8_reset_driver

#define mdd6_write_channel_byte mdd8_write_channel_byte
#define mdd6_write_channel_word mdd8_write_channel_word
#define mdd6_write_channel_short mdd8_write_channel_short
#define mdd6_write_channel_dword mdd8_write_channel_dword
#define mdd6_write_channel_block mdd8_write_channel_block

#define mdd6_trigger_channel mdd8_trigger_channel

#define mdd6_read_channel_byte mdd8_read_channel_byte
#define mdd6_read_channel_word mdd8_read_channel_word
#define mdd6_read_channel_short mdd8_read_channel_short
#define mdd6_read_channel_dword mdd8_read_channel_dword
#define mdd6_read_channel_block mdd8_read_channel_block

#define mdd6_send_channel_command mdd8_send_channel_command
#define mdd6_send_channel_control mdd8_send_channel_control
#define mdd6_send_channel_control_block mdd8_send_channel_control_block
#define mdd6_get_channel_info mdd8_get_channel_info
#define mdd6_get_channel_info_block mdd8_get_channel_info_block
#define mdd6_set_channel_caption mdd8_set_channel_caption
#define mdd6_get_channel_caption mdd8_get_channel_caption
#define mdd6_close_channel mdd8_close_channel

#define mdd6_check_handle_valid mdd8_check_handle_valid

#define mdd6_get_diagnosis mdd8_get_diagnosis
#define mdd6_get_diagnosis_msg mdd8_get_diagnosis_msg



#endif // _INC_ML6ADAP


